# Role: git

## Description

Installs git and clones/pulls repos given in vars.

https://git-scm.com/

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.git
  vars:
    ...
```

### Vars

`git_repos`:

List of Git repos to clone.
A list object can have fields:
- 'repo'
- 'dest'
- 'become'
